Base URL: https://cloud.mongodb.com/api/public/v1.0
Resource
DELETE /groups/{PROJECT-ID}/serviceAccounts/{CLIENT-ID}Request Path Parameters
Name | Type | Description |
|---|---|---|
| string | Unique identifier for the Project you wish to unassign from the service account. Use the /groups endpoint to retrieve all organizations to which the authenticated user has access. |
| string | Unique identifier for the service account you want to update. Use the /groups/{PROJECT-ID}/serviceAccounts endpoint to retrieve all service accounts to which the authenticated user has access for the specified organization. |
Request Query Parameters
The following query parameters are optional:
Name | Type | Description | Default |
|---|---|---|---|
pageNum | integer | Page number (1-index based). |
|
itemsPerPage | integer | Number of items to return per page, up to a maximum of 500. |
|
pretty | boolean | Indicates whether to return the response body in a prettyprint format. |
|
envelope | boolean | Indicates whether to wrap the response in an envelope. Some API clients can't access the HTTP response headers or status code. To remediate this, set For endpoints that return one result, response body includes:
For endpoints that return a list of results, the | None |
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
Example Request
curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --header "Accept: application/json" \ --header "Content-Type: application/json" \ --include \ --request DELETE "https://cloud.mongodb.com/api/public/v1.0/groups/{PROJECT-ID}/serviceAccounts/{CLIENT-ID}"Important
When you remove a service account from a project, its credentials remain active at the organization level until its secret expires or you revoke it from the organization.
Example Response
Response Header
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 204 No ContentVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
This endpoint doesn't return a response body.